PUTENV(3)

NAME
putenv - change or add an environment variable

SYNOPSIS
#include <stdlib.h>

int putenv(const char *string);

DESCRIPTION
The putenv() function adds or changes the value of environment variables. The argument string is of the form name = value. If name does not already exist in the environment, then string is added to the environment. If name does exist, then the value of name in the environment is changed to value.

RETURN VALUE
The putenv() function returns zero on success, or -1 if an error occurs.

ERRORS

ENOMEM
    Insufficient space to allocate new environment.

CONFORMING TO
SVID 3, POSIX, BSD 4.3

SEE ALSO
getenv(3), setenv(3), unsetenv(3)